import RPi.GPIO as IO
import time
import datetime
import mysql.connector as mc
from datetime import datetime

IO.setwarnings(False)
IO.setmode(IO.BCM)
IO.setup(23, IO.OUT)
p = IO.PWM(23, 50)
p.start(7.5)
index = 0
loop=0
cal = 0
lstSchedules = []
lstTijd = []

def vraagGewichtop():
    connection = mc.connect(host="localhost", user="thomas", passwd="local", db="dbproject")
    cursor = connection.cursor()
    cursor.execute("select weight from tblpets order by petID desc limit 1;")
    result = cursor.fetchone()
    return result
def scheduleBreakfastWegschrijven(breakfast):
    connection = mc.connect(host="localhost", user="thomas", passwd="local", db="dbproject")
    cursor = connection.cursor()
    cursor.execute("update tblschedules set calories=" + str(breakfast) + " where ScheduleID=1;")
    connection.commit()
    connection.close()
def scheduleLunchWegschrijven(lunch):
    connection = mc.connect(host="localhost", user="thomas", passwd="local", db="dbproject")
    cursor = connection.cursor()
    cursor.execute("update tblschedules set calories=" + str(lunch) + " where ScheduleID=2;")
    connection.commit()
    connection.close()
def scheduleDinnerWegschrijven(dinner):
    connection = mc.connect(host="localhost", user="thomas", passwd="local", db="dbproject")
    cursor = connection.cursor()
    cursor.execute("update tblschedules set calories=" + str(dinner) + " where ScheduleID=3;")
    connection.commit()
    connection.close()
#def calToevoegen(cals):
    # connection = mc.connect(host="localhost", user="thomas", passwd="local", db="dbproject")
    # cursor = connection.cursor()
    # cursor.execute("insert into tbldata(calories) values(" + str(cals) + ");")
    # connection.commit()
    # connection.close()
#def tijdToevoegen(time):
    # connection = mc.connect(host="localhost", user="thomas", passwd="local", db="dbproject")
    # cursor = connection.cursor()
    # cursor.execute("insert into tbldays(date) values(" + str(time) + ");")
    # connection.commit()
    # connection.close()

gewicht = vraagGewichtop()
waarde = gewicht[0]

if waarde < 2:
    cal = 180
    lstSchedules = [70, 70, 40]
    lstTijd = [5, 5, 3]
    #calToevoegen(cal)
    #tijdToevoegen(datetime.now().strftime('%Y-%m-%d %H:%M:%S'))
    scheduleBreakfastWegschrijven(int(lstSchedules[0]))
    scheduleLunchWegschrijven(int(lstSchedules[1]))
    scheduleDinnerWegschrijven(int(lstSchedules[2]))

elif waarde < 5:
    cal = 280
    lstSchedules = [100, 100, 80]
    lstTijd = [6, 6, 5]
    #calToevoegen(cal)
    #tijdToevoegen(datetime.now().strftime('%Y-%m-%d %H:%M:%S'))
    scheduleBreakfastWegschrijven(int(lstSchedules[0]))
    scheduleLunchWegschrijven(int(lstSchedules[1]))
    scheduleDinnerWegschrijven(int(lstSchedules[2]))

elif waarde < 7:
    cal = 360
    lstSchedules = [130, 130, 100]
    lstTijd = [7, 7, 6]
    #calToevoegen(cal)
    #tijdToevoegen(datetime.now().strftime('%Y-%m-%d %H:%M:%S'))
    scheduleBreakfastWegschrijven(int(lstSchedules[0]))
    scheduleLunchWegschrijven(int(lstSchedules[1]))
    scheduleDinnerWegschrijven(int(lstSchedules[2]))

else:
    cal = 440
    lstSchedules = [160, 160, 120]
    lstTijd = [8, 8, 7]
    #calToevoegen(cal)
    #tijdToevoegen(datetime.now().strftime('%Y-%m-%d %H:%M:%S'))
    scheduleBreakfastWegschrijven(int(lstSchedules[0]))
    scheduleLunchWegschrijven(int(lstSchedules[1]))
    scheduleDinnerWegschrijven(int(lstSchedules[2]))

try:
    while index == 0:
        dateSTR = datetime.now().strftime("%H:%M:%S")
        if dateSTR == "07:00:00":
            loop = 0
            while loop == 0:
                p.ChangeDutyCycle(12.5)
                time.sleep(lstTijd[0])
                loop = 1
        elif dateSTR == "12:00:00":
            loop = 0
            while loop == 0:
                p.ChangeDutyCycle(12.5)
                time.sleep(lstTijd[1])
                loop = 1

        elif dateSTR == "19:00:00":
            loop = 0
            while loop == 0:
                p.ChangeDutyCycle(12.5)
                time.sleep(lstTijd[2])
                loop = 1

        else:
            pass

except KeyboardInterrupt:
    p.stop()
    IO.cleanup()
